/**
 * 新建案卷的接口
 */
import request from '@/utils/request'

// 获取案卷信息来源
export function getCaseSource(params) {
  return request({
    url: 'dict/code/caseSource',
    method: 'get',
    params
  })
}

// 获取案卷等级
export function getCaseLevel(params) {
  return request({
    url: 'dict/code/caseLevel',
    method: 'get',
    params
  })
}

// 获取案卷类别
export function getCaseEorC(params) {
  return request({
    url: 'dict/code/eorc',
    method: 'get',
    params
  })
}

// 根据案卷类别获取案卷大类
export function getCaseType(eorc) {
  return request({
    url: 'case/type/list',
    method: 'get',
    params: {
      eorc: eorc
    }
  })
}

// 根据案卷大类获取案卷小类
export function getCaseDetailType(caseTypeId) {
  return request({
    url: 'case/typeDetail/list',
    method: 'get',
    params: {
      typeId: caseTypeId
    }
  })
}

// 根据案卷小类获取结案标准
export function getCaseTypesTime(caseTypeDetailId) {
  return request({
    url: 'case/typesTime/list',
    method: 'get',
    params: {
      detailId: caseTypeDetailId
    }
  })
}

// 获取监督员列表
export function getVerifyPerson(params) {
  return request({
    url: 'mgr/simplelist',
    method: 'post',
    params: {
      roleTips: 'supervisor'
    }
  })
}

// 新增案卷
export function addCase(params) {
  return request({
    url: 'case/add',
    method: 'post',
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded;charset=UTF-8'
    },
    params
  })
}

// 根据举报人电话分页查询历史案件
export function getHistoryList(params) {
  return request({
    url: '/case/historyByPhoneListPage',
    method: 'get',
    params
  })
}
